#
# Makefile for ALSA low level driver (Linux version)
# Copyright (c) 1994-98 by Jaroslav Kysela (Perex soft)
#

TOPDIR   = ../..

include  $(TOPDIR)/Makefile.conf

TARGETS  = $(SNDVERSIONS) \
	   $(TOPDIR)/modules/snd-ad1848.o \
           $(TOPDIR)/modules/snd-cs4231.o \
           $(TOPDIR)/modules/snd-es1688.o
SYMFILES = ad1848_export.c cs4231_export.c es1688_export.c
AD1848   = ad1848.o ad1848_export.o
CS4231   = cs4231.o cs4231_export.o
ES1688   = es1688.o es1688_export.o

include  $(TOPDIR)/Rules.make

all: $(TARGETS)
	@echo
	@echo "ALSA lowlevel modules were sucessfully compiled."
	@echo

include  $(TOPDIR)/Rules1.make

$(TOPDIR)/modules/snd-ad1848.o: .depend $(SNDVERSIONS) $(AD1848)
	$(LINKER) -o $@ $(AD1848)

$(TOPDIR)/modules/snd-cs4231.o: .depend $(SNDVERSIONS) $(CS4231)
	$(LINKER) -o $@ $(CS4231)

$(TOPDIR)/modules/snd-es1688.o: .depend $(SNDVERSIONS) $(ES1688)
	$(LINKER) -o $@ $(ES1688)

gcompile: $(TARGETS)

clean:
	rm -f .depend *.o *.orig ultra.map ultra.map? *~
	rm -f core $(SNDVERSIONS) $(SYMFILES)

.depend: $(SYMFILES)
	$(CPP) $(COPTS) $(INCLUDE) *.c > .depend

dep:	.depend

dummy:

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif
